Bug 239264 - cpu frequency scaling doesn't work
cpu frequency scaling doesn't work
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 03:59 EDT by Daniel Malmgren
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 02:31:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from dmesg on Toshiba 1415-S173 (kernel 2.6.21-1.3194.fc7) (19.91 KB, text/plain)
2007-06-01 12:57 EDT, Calvin Dodge
no flags Details
dmesg with cpufreq.debug=7 (20.97 KB, text/plain)
2007-06-07 08:22 EDT, Daniel Malmgren
no flags Details

  None (edit)
Description Daniel Malmgren 2007-05-07 03:59:57 EDT
Description of problem:
Lately I've got error messages from my cpufreqapplet about my processor not
supporting cpu frequency scaling. I don't really know when this problem started,
I just know that it has worked on this machine.

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3116.fc7
cpuspeed-1.2.1-1.57.fc7

Additional info:
Running x86_64 version of everything, on a Core2 duo T5600 processor.
The directory /sys/devices/system/cpu/cpu0/cpufreq doesn't exist.
I've tried manually loading the cpufreq kernel modules (this manually loading
was not needed when the scaling worked), this made no difference.

Is there any more relevant information I could provide?
Comment 1 Dave Jones 2007-05-15 14:39:20 EDT
can you attach the output of dmesg please ?
Comment 2 Daniel Malmgren 2007-05-16 02:12:35 EDT
Linux version 2.6.21-1.3142.fc7 (kojibuilder@xenbuilder3.fedora.phx.redhat.com)
(gcc version 4.1.2 20070502 (Red Hat 4.1.2-12)) #1 SMP Mon May 7 21:07:42 EDT 2007
Command line: ro root=LABEL=/ quiet init=/sbin/initng selinux=disabled
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
 BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000dc000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000005f680000 (usable)
 BIOS-e820: 000000005f680000 - 000000005f695000 (ACPI data)
 BIOS-e820: 000000005f695000 - 000000005f700000 (ACPI NVS)
 BIOS-e820: 000000005f700000 - 0000000060000000 (reserved)
 BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
 BIOS-e820: 00000000fed00000 - 00000000fed00400 (reserved)
 BIOS-e820: 00000000fed14000 - 00000000fed1a000 (reserved)
 BIOS-e820: 00000000fed1c000 - 00000000fed90000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ff000000 - 0000000100000000 (reserved)
Entering add_active_range(0, 0, 159) 0 entries of 3200 used
Entering add_active_range(0, 256, 390784) 1 entries of 3200 used
end_pfn_map = 1048576
DMI present.
ACPI: RSDP 000F67F0, 0014 (r0 PTLTD )
ACPI: RSDT 5F68E7C4, 0048 (r1 PTLTD  Capell00  6040000  LTP        0)
ACPI: FACP 5F694DEE, 0074 (r1 INTEL  CALISTGA  6040000 LOHR       5A)
ACPI Warning (tbfadt-0360): Ignoring BIOS FADT r1 C-state control [20070126]
ACPI: DSDT 5F68FE83, 4F6B (r1 INVENT SYMPHONY  6040000 INTL 20050624)
ACPI: FACS 5F695FC0, 0040
ACPI: APIC 5F694E62, 0068 (r1 INTEL  CALISTGA  6040000 LOHR       5A)
ACPI: HPET 5F694ECA, 0038 (r1 INTEL  CALISTGA  6040000 LOHR       5A)
ACPI: MCFG 5F694F02, 003C (r1 INTEL  CALISTGA  6040000 LOHR       5A)
ACPI: BOOT 5F694FD8, 0028 (r1 PTLTD  $SBFTBL$  6040000  LTP        1)
ACPI: APIC 5F694F70, 0068 (r1 TOSINV   APIC    6040000  LTP        0)
ACPI: SSDT 5F68F830, 064F (r1 SataRe  SataPri     1000 INTL 20050624)
ACPI: SSDT 5F68F19E, 0692 (r1 SataRe  SataSec     1000 INTL 20050624)
ACPI: SSDT 5F68E80C, 0500 (r1  PmRef    CpuPm     3000 INTL 20050624)
ACPI: BIOS bug: multiple APIC/MADT found, using 0
ACPI: If "acpi_apic_instance=2" works better, notify linux-acpi@vger.kernel.org
No NUMA configuration found
Faking a node at 0000000000000000-000000005f680000
Entering add_active_range(0, 0, 159) 0 entries of 3200 used
Entering add_active_range(0, 256, 390784) 1 entries of 3200 used
Bootmem setup node 0 0000000000000000-000000005f680000
Zone PFN ranges:
  DMA             0 ->     4096
  DMA32        4096 ->  1048576
  Normal    1048576 ->  1048576
early_node_map[2] active PFN ranges
    0:        0 ->      159
    0:      256 ->   390784
On node 0 totalpages: 390687
  DMA zone: 88 pages used for memmap
  DMA zone: 2365 pages reserved
  DMA zone: 1546 pages, LIFO batch:0
  DMA32 zone: 8307 pages used for memmap
  DMA32 zone: 378381 pages, LIFO batch:31
  Normal zone: 0 pages used for memmap
ACPI: PM-Timer IO Port: 0x1008
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Processor #0 (Bootup-CPU)
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
Processor #1
ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 1, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Setting APIC routing to physical flat
ACPI: HPET id: 0x8086a201 base: 0xfed00000
Using ACPI (MADT) for SMP configuration information
Nosave address range: 000000000009f000 - 00000000000a0000
Nosave address range: 00000000000a0000 - 00000000000dc000
Nosave address range: 00000000000dc000 - 0000000000100000
Allocating PCI resources starting at 68000000 (gap: 60000000:80000000)
SMP: Allowing 2 CPUs, 0 hotplug CPUs
PERCPU: Allocating 44672 bytes of per cpu data
Built 1 zonelists.  Total pages: 379927
Kernel command line: ro root=LABEL=/ quiet init=/sbin/initng selinux=disabled
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 32768 bytes)
time.c: Detected 1833.462 MHz processor.
Console: colour VGA+ 80x25
Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar
... MAX_LOCKDEP_SUBCLASSES:    8
... MAX_LOCK_DEPTH:          30
... MAX_LOCKDEP_KEYS:        2048
... CLASSHASH_SIZE:           1024
... MAX_LOCKDEP_ENTRIES:     8192
... MAX_LOCKDEP_CHAINS:      16384
... CHAINHASH_SIZE:          8192
 memory used by lock dependency info: 1648 kB
 per task-struct memory footprint: 1680 bytes
Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes)
Inode-cache hash table entries: 131072 (order: 8, 1048576 bytes)
Checking aperture...
Calgary: detecting Calgary via BIOS EBDA area
Calgary: Unable to locate Rio Grande table in EBDA - bailing!
Memory: 1513020k/1563136k available (2467k kernel code, 49728k reserved, 1442k
data, 328k init)
Calibrating delay using timer specific routine.. 3670.70 BogoMIPS (lpj=1835354)
Security Framework v1.0.0 initialized
SELinux:  Disabled at boot.
Capability LSM initialized
Mount-cache hash table entries: 256
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 2048K
CPU 0/0 -> Node 0
using mwait in idle threads.
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
CPU0: Thermal monitoring handled by SMI
lockdep: not fixing up alternatives.
ACPI: Core revision 20070126
Using local APIC timer interrupts.
result 10417396
Detected 10.417 MHz APIC timer.
lockdep: not fixing up alternatives.
Booting processor 1/2 APIC 0x1
Initializing CPU#1
Calibrating delay using timer specific routine.. 3666.91 BogoMIPS (lpj=1833456)
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 2048K
CPU 1/1 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
CPU1: Thermal monitoring enabled (TM2)
Intel(R) Core(TM)2 CPU         T5600  @ 1.83GHz stepping 06
Brought up 2 CPUs
sizeof(vma)=176 bytes
sizeof(page)=88 bytes
sizeof(inode)=1008 bytes
sizeof(dentry)=248 bytes
sizeof(ext3inode)=1376 bytes
sizeof(buffer_head)=104 bytes
sizeof(skbuff)=248 bytes
sizeof(task_struct)=3776 bytes
migration_cost=25
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: Using configuration type 1
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
Boot video device is 0000:00:02.0
PCI quirk: region 1000-107f claimed by ICH6 ACPI/GPIO/TCO
PCI quirk: region 1180-11bf claimed by ICH6 GPIO
PCI: Transparent bridge - 0000:00:1e.0
PCI: Bus #0a (-#0d) is hidden behind transparent bridge #09 (-#09) (try
'pci=assign-busses')
Please report the result to linux-kernel to fix this permanently
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP01._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP02._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP03._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP04._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIB._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 1 3 4 5 6 7 *10 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 1 3 4 5 6 7 11 12 14 15) *10
ACPI: PCI Interrupt Link [LNKC] (IRQs 1 3 4 5 6 *7 10 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 1 3 4 5 6 7 11 12 14 15) *10
ACPI: PCI Interrupt Link [LNKE] (IRQs 1 3 4 5 6 7 10 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs 1 3 4 5 6 7 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKG] (IRQs 1 3 4 5 6 7 10 12 14 15) *11
ACPI: PCI Interrupt Link [LNKH] (IRQs 1 3 4 5 6 7 *11 12 14 15)
ACPI: Power Resource [FN00] (off)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 12 devices
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
PCI-GART: No AMD northbridge found.
hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
hpet0: 3 64-bit timers, 14318180 Hz
pnp: 00:01: iomem range 0xe0000000-0xefffffff could not be reserved
pnp: 00:01: iomem range 0xfed14000-0xfed17fff could not be reserved
pnp: 00:01: iomem range 0xfed18000-0xfed18fff could not be reserved
Time: hpet clocksource has been installed.
pnp: 00:01: iomem range 0xfed19000-0xfed19fff could not be reserved
pnp: 00:04: iomem range 0xfed00000-0xfed003ff could not be reserved
pnp: 00:07: ioport range 0x6a0-0x6af has been reserved
pnp: 00:07: ioport range 0x6b0-0x6ff has been reserved
PCI: Ignore bogus resource 6 [0:0] of 0000:00:02.0
PCI: Bridge: 0000:00:1c.0
  IO window: 2000-2fff
  MEM window: cc000000-cdffffff
  PREFETCH window: c4000000-c5ffffff
PCI: Bridge: 0000:00:1c.1
  IO window: 3000-3fff
  MEM window: c8000000-c9ffffff
  PREFETCH window: c0000000-c1ffffff
PCI: Bridge: 0000:00:1c.2
  IO window: 4000-4fff
  MEM window: ca000000-cbffffff
  PREFETCH window: c2000000-c3ffffff
PCI: Bridge: 0000:00:1c.3
  IO window: 5000-5fff
  MEM window: ce000000-cfffffff
  PREFETCH window: c6000000-c7ffffff
PCI: Bus 10, cardbus bridge: 0000:09:06.0
  IO window: 00006000-000060ff
  IO window: 00006400-000064ff
  PREFETCH window: 68000000-6bffffff
  MEM window: 6c000000-6fffffff
PCI: Bridge: 0000:00:1e.0
  IO window: 6000-6fff
  MEM window: d0000000-d00fffff
  PREFETCH window: 68000000-6bffffff
ACPI: PCI Interrupt 0000:00:1c.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:00:1c.0 to 64
ACPI: PCI Interrupt 0000:00:1c.1[B] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1c.1 to 64
ACPI: PCI Interrupt 0000:00:1c.2[C] -> GSI 18 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:1c.2 to 64
ACPI: PCI Interrupt 0000:00:1c.3[D] -> GSI 19 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:00:1c.3 to 64
PCI: Enabling device 0000:00:1e.0 (0004 -> 0007)
PCI: Setting latency timer of device 0000:00:1e.0 to 64
PCI: Enabling device 0000:09:06.0 (0000 -> 0003)
ACPI: PCI Interrupt 0000:09:06.0[A] -> GSI 18 (level, low) -> IRQ 18
NET: Registered protocol family 2
IP route cache hash table entries: 65536 (order: 7, 524288 bytes)
TCP established hash table entries: 65536 (order: 10, 4194304 bytes)
TCP bind hash table entries: 65536 (order: 9, 3670016 bytes)
TCP: Hash tables configured (established 65536 bind 65536)
TCP reno registered
checking if image is initramfs... it is
Freeing initrd memory: 3054k freed
Simple Boot Flag at 0x36 set to 0x1
audit: initializing netlink socket (disabled)
audit(1179288208.757:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
ksign: Installing public key data
Loading keyring
- Added public key C391002A20C102A
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
PCI: Setting latency timer of device 0000:00:1c.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.0:pcie00]
Allocate Port Service[0000:00:1c.0:pcie02]
PCI: Setting latency timer of device 0000:00:1c.1 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.1:pcie00]
Allocate Port Service[0000:00:1c.1:pcie02]
PCI: Setting latency timer of device 0000:00:1c.2 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.2:pcie00]
Allocate Port Service[0000:00:1c.2:pcie02]
PCI: Setting latency timer of device 0000:00:1c.3 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.3:pcie00]
Allocate Port Service[0000:00:1c.3:pcie02]
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Transitioning device [FAN0] to D3
ACPI: Transitioning device [FAN0] to D3
ACPI: Fan [FAN0] (off)
ACPI: SSDT 5F68EF6D, 01A8 (r1  PmRef  Cpu0Ist     3000 INTL 20050624)
ACPI: SSDT 5F68ED0C, 01DC (r1  PmRef  Cpu0Cst     3001 INTL 20050624)
ACPI: CPU0 (power states: C1[C1] C2[C2])
ACPI: Processor [CPU0] (supports 8 throttling states)
ACPI: SSDT 5F68F115, 0089 (r1  PmRef  Cpu1Ist     3000 INTL 20050624)
ACPI: SSDT 5F68EEE8, 0085 (r1  PmRef  Cpu1Cst     3000 INTL 20050624)
ACPI: CPU1 (power states: C1[C1] C2[C2])
ACPI: Processor [CPU1] (supports 8 throttling states)
ACPI: Invalid passive threshold
ACPI: Thermal Zone [TZ00] (32 C)
ACPI: Thermal Zone [TZVR] (0 C)
ACPI: Thermal Zone [TZVL] (0 C)
ACPI: Thermal Zone [TZCR] (30 C)
ACPI: Thermal Zone [TZCL] (24 C)
ACPI: Thermal Zone [TZ01] (30 C)
Real Time Clock Driver v1.12ac
hpet_resources: 0xfed00000 is busy
Non-volatile memory driver v1.2
Linux agpgart interface v0.102 (c) Dave Jones
agpgart: Detected an Intel 945GM Chipset.
agpgart: Detected 7932K stolen memory.
agpgart: AGP aperture is 256M @ 0xb0000000
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
input: Macintosh mouse button emulation as /class/input/input0
Yenta: CardBus bridge found at 0000:09:06.0 [1170:0040]
Yenta: Enabling burst memory read transactions
Yenta: Using CSCINT to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:09:06.0, mfunc 0x01a21b22, devctl 0x66
Yenta: ISA IRQ mask 0x0cf8, PCI irq 18
Socket status: 30000006
Yenta: Raising subordinate bus# of parent bus (#09) from #09 to #0d
pcmcia: parent PCI bridge I/O window: 0x6000 - 0x6fff
pcmcia: parent PCI bridge Memory window: 0xd0000000 - 0xd00fffff
pcmcia: parent PCI bridge Memory window: 0x68000000 - 0x6bffffff
usbcore: registered new interface driver libusual
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
i8042.c: Detected active multiplexing controller, rev 1.1.
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX0 port at 0x60,0x64 irq 12
serio: i8042 AUX1 port at 0x60,0x64 irq 12
serio: i8042 AUX2 port at 0x60,0x64 irq 12
serio: i8042 AUX3 port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
TCP bic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Freeing unused kernel memory: 328k freed
Write protecting the kernel read-only data: 1058k
USB Universal Host Controller Interface driver v3.0
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 23
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:1d.0: irq 23, io base 0x00001820
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:1d.1: irq 19, io base 0x00001840
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:1d.2: irq 18, io base 0x00001860
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
usb 1-1: new low speed USB device using uhci_hcd and address 2
ACPI: PCI Interrupt 0000:00:1d.3[D] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1d.3 to 64
uhci_hcd 0000:00:1d.3: UHCI Host Controller
uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1d.3: irq 16, io base 0x00001880
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
Synaptics Touchpad, model: 1, fw: 6.2, id: 0xa0b1, caps: 0xa04713/0x20040a
input: SynPS/2 Synaptics TouchPad as /class/input/input1
input: AT Translated Set 2 keyboard as /class/input/input2
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 23
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 5
ehci_hcd 0000:00:1d.7: debug port 1
PCI: cache line size of 32 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: irq 23, io mem 0xd0444000
ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 8 ports detected
usb 1-1: device descriptor read/all, error -71
SCSI subsystem initialized
libata version 2.20 loaded.
ata_piix 0000:00:1f.2: version 2.10ac1
ata_piix 0000:00:1f.2: MAP [ P0 P2 IDE IDE ]
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 19 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:00:1f.2 to 64
ata1: SATA max UDMA/133 cmd 0x00000000000101f0 ctl 0x00000000000103f6 bmdma
0x00000000000118b0 irq 14
ata2: PATA max UDMA/100 cmd 0x0000000000010170 ctl 0x0000000000010376 bmdma
0x00000000000118b8 irq 15
scsi0 : ata_piix
ata1.00: ata_hpa_resize 1: sectors = 117210240, hpa_sectors = 117210240
ata1.00: ATA-7: HTS541060G9SA00, MB3OC60D, max UDMA/100
ata1.00: 117210240 sectors, multi 16: LBA48 NCQ (not used)
ata1.00: ata_hpa_resize 1: sectors = 117210240, hpa_sectors = 117210240
ata1.00: configured for UDMA/100
scsi1 : ata_piix
usb 1-1: new low speed USB device using uhci_hcd and address 4
ata2.00: ATAPI, max UDMA/33
usb 1-1: configuration #1 chosen from 1 choice
input: Logitech USB-PS/2 Optical Mouse as /class/input/input3
input: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:1d.0-1
ata2.00: configured for UDMA/33
scsi 0:0:0:0: Direct-Access     ATA      HTS541060G9SA00  MB3O PQ: 0 ANSI: 5
SCSI device sda: 117210240 512-byte hdwr sectors (60012 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
SCSI device sda: 117210240 512-byte hdwr sectors (60012 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
 sda: sda1 sda2
sd 0:0:0:0: Attached scsi disk sda
scsi 1:0:0:0: CD-ROM            SONY     CD-RW  CRX850E   5YK3 PQ: 0 ANSI: 5
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
sd 0:0:0:0: Attached scsi generic sg0 type 0
scsi 1:0:0:0: Attached scsi generic sg1 type 5
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
sr0: scsi3-mmc drive: 0x/24x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 1:0:0:0: Attached scsi CD-ROM sr0
iTCO_vendor_support: vendor-support=0
r8169 Gigabit Ethernet driver 2.2LK-NAPI loaded
ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:02:00.0 to 64
eth0: RTL8168b/8111b at 0xffffc20000040000, 00:a0:d1:c1:6d:4f, IRQ 16
ACPI: PCI Interrupt 0000:00:1f.3[B] -> GSI 19 (level, low) -> IRQ 19
iTCO_wdt: Intel TCO WatchDog Timer Driver v1.01 (21-Jan-2007)
iTCO_wdt: Found a ICH7-M TCO device (Version=2, TCOBASE=0x1060)
iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
intel_rng: FWH not detected
parport: PnPBIOS parport detected.
pnp: Device 00:09 disabled.
rtc_cmos 00:08: rtc core: registered rtc_cmos as rtc0
rtc_cmos: probe of 00:08 failed with error -16
ACPI: PCI Interrupt 0000:09:06.1[B] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:09:06.1 to 64
sdhci: Secure Digital Host Controller Interface driver
sdhci: Copyright(c) Pierre Ossman
fw_ohci: Added fw-ohci device 0000:09:06.1, OHCI version 1.10
PCI: Enabling device 0000:09:06.2 (0000 -> 0002)
ACPI: PCI Interrupt 0000:09:06.2[A] -> GSI 18 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:09:06.2 to 64
sdhci: SDHCI controller found at 0000:09:06.3 [104c:803c] (rev 0)
PCI: Enabling device 0000:09:06.3 (0000 -> 0002)
ACPI: PCI Interrupt 0000:09:06.3[A] -> GSI 18 (level, low) -> IRQ 18
mmc0: SDHCI at 0xd0005800 irq 18 PIO
iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux,
0.0.16kd
iwl3945: Copyright(c) 2003-2007 Intel Corporation
ACPI: PCI Interrupt 0000:07:00.0[A] -> GSI 19 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:07:00.0 to 64
iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
iwl3945: iwlwifi-3945.ucode firmware file req failed: Reason -2
iwl3945: Could not read microcode from disk: -2
ACPI: PCI interrupt for device 0000:07:00.0 disabled
iwl3945: probe of 0000:07:00.0 failed with error -2
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 22 (level, low) -> IRQ 22
PCI: Setting latency timer of device 0000:00:1b.0 to 64
hda_codec: Unknown model for ALC861, trying auto-probe from BIOS...
fw_core: created new fw device fw0 (0 config rom retries)
loop: loaded (max 8 devices)
EXT3 FS on sda1, internal journal
Adding 1044216k swap on /dev/sda2.  Priority:-1 extents:1 across:1044216k
Comment 3 Calvin Dodge 2007-06-01 10:32:37 EDT
The same behavior now exists on my 4-year-old Toshiba laptop with a Mobile 1.8
GHz Celeron. CPU scaling _always_ worked (up through the most recent FC6 kernel
(2.6.20-1.2948), but stopped working after installing Fedora 7 yesterday (now
using kernel 2.6.21-1.3194).

I've reinstalled the 2.6.20-1.2948 kernel, and will use that until a fix comes
out for this problem. I'll post dmesg output on request.
Comment 4 Jarod Wilson 2007-06-01 12:02:56 EDT
Re: comment #3 - When you're booted off the F7 kernel, does 'service cpuspeed
status' return any info? And yes, please provide dmesg from booting off the F7
kernel.
Comment 5 Calvin Dodge 2007-06-01 12:57:24 EDT
Created attachment 155907 [details]
Output from dmesg on Toshiba 1415-S173 (kernel 2.6.21-1.3194.fc7)
Comment 6 Calvin Dodge 2007-06-01 12:59:41 EDT
"service cpuspeed status" returns "cpuspeed is stopped".

I get the same result with that command after trying "service cpuspeed restart".

I attached my dmesg output just before this message.
Comment 7 Jarod Wilson 2007-06-01 13:21:00 EDT
Huh. I don't see a lick of mention about cpu frequency scaling in the dmesg
output. Odd. Does anything else show up *after* a 'service cpuspeed start' ?
Also, if you manually try 'modprobe acpi-cpufreq', what sort of response do you
get back?
Comment 8 Calvin Dodge 2007-06-01 13:57:00 EDT
I tried a fix before seeing the "modprobe acpi-cpufreq" message. I explicitly
specified "DRIVER=p4-clockmod" in /etc/sysconfig/cpuspeed, and cpu scaling now
works with the new kernel (got a clue when it didn't work with the reinstalled
old kernel).

FWIW, checking through the files after upgrading, I saw the same line in
/etc/cpuspeed.conf.rpmsave (which must have been /etc/cpuspeed.conf before the
upgrade).  So you can chalk this up to my ignorance of the change in
configuration files.
Comment 9 Jarod Wilson 2007-06-01 14:05:38 EDT
Ah. One of those. Check out the notes in /etc/sysconfig/cpuspeed regarding
p4-clockmod:

# Note that many drivers are now built-in, rather than built as modules,
# so its usually best not to specify one. The most commonly-needed driver
# module these days is 'p4-clockmod', however, in most cases, it is not
# recommended for use. See: http://lkml.org/lkml/2006/2/25/84

Long and short of it is that it doesn't actually do frequency scaling, merely
throttling, which provides very little benefit in the vast majority of cases.

Original poster's system *should* be working out of the box though (and Intel
got freq scaling right in the core processor series). :)
Comment 10 Daniel Malmgren 2007-06-04 02:12:09 EDT
(In reply to comment #9)
> Original poster's system *should* be working out of the box though (and Intel
> got freq scaling right in the core processor series). :)

And where does this put me? My system is supposed to be working, but it isn't. I
know for sure that it worked earlier this year...
Comment 11 Jarod Wilson 2007-06-04 16:37:46 EDT
(In reply to comment #10)
> And where does this put me? My system is supposed to be working, but it isn't. I
> know for sure that it worked earlier this year...

Sorry, meant to ask for some more info from ya... :)

1) Can you attach dmesg output following a boot with 'cpufreq.debug=7' added to
your kernel boot options?

2) Check if anything is logged in either dmesg or /var/log/messages after a
'service cpuspeed start'

3) What happens if you manually try a 'modprobe acpi-cpufreq'?
Comment 12 Daniel Malmgren 2007-06-07 08:22:05 EDT
Created attachment 156454 [details]
dmesg with cpufreq.debug=7

(In reply to comment #11)
> 1) Can you attach dmesg output following a boot with 'cpufreq.debug=7' added
to
> your kernel boot options?

Attached. I see no big difference though.

> 2) Check if anything is logged in either dmesg or /var/log/messages after a
> 'service cpuspeed start'

I don't use SysVinit, I use initng. I think loading the cpufreq_* modules would
do about the same thing though, right? I see nothing happening when I do
that...

> 3) What happens if you manually try a 'modprobe acpi-cpufreq'?

Nothing. Nada. The module gets loaded, but nothing else happens.
Comment 13 Jarod Wilson 2007-06-08 11:14:44 EDT
(In reply to comment #12)
> > 2) Check if anything is logged in either dmesg or /var/log/messages after a
> > 'service cpuspeed start'
> 
> I don't use SysVinit, I use initng. I think loading the cpufreq_* modules would
> do about the same thing though, right? I see nothing happening when I do
> that...

My knee-jerk reaction is to close this NOTABUG. Please read through the
initscript, it does a lot more than just load cpufreq modules. :)

> > 3) What happens if you manually try a 'modprobe acpi-cpufreq'?
> 
> Nothing. Nada. The module gets loaded, but nothing else happens.

That's what you should see. Means its loading cleanly and finding things to
control. After loading it, you should see some new stuff in
/sys/devices/system/cpu/cpu*/cpufreq/. Once that's loaded, cpufreq governors
need to be loaded, then they need to be activated. All that is done by the
initscript, so I'm guessing you need to figure out how to make initng do the
same (never played with it, don't have a clue what needs doing there).

Initially, just doing '/etc/init.d/cpuspeed start' *should* work regardless of
you using initng, since its just a shell script. Unless of course you nuked some
of the sysvinit bits...
Comment 14 Daniel Malmgren 2007-06-11 02:31:16 EDT
(In reply to comment #13)
> My knee-jerk reaction is to close this NOTABUG. Please read through the
> initscript, it does a lot more than just load cpufreq modules. :)

Hmmm... I guess I have to agree. After adding a manual loading of acpu-cpufreq
module to my initng startup everything works nice again. I guess I'll have to
tell the idiot who's packaging initng-ifiles about this. Oh, darn. That would be me.
Comment 15 Jarod Wilson 2007-06-11 10:21:38 EDT
Heh! Glad to hear we've got an answer to the problem. :)

Note You need to log in before you can comment on or make changes to this bug.